package com.kmall.admin.service.impl;

import com.kmall.admin.dao.SupplierDao;
import com.kmall.admin.entity.SupplierEntity;
import com.kmall.admin.service.SupplierService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-11-26 15:14:24
 */
@Service("supplierService")
public class SupplierServiceImpl implements SupplierService {
    @Autowired
    private SupplierDao supplierDao;

    @Override
    public SupplierEntity queryObject(Integer id) {
        return supplierDao.queryObject(id);
    }

    @Override
    public List<SupplierEntity> queryList(Map<String, Object> map) {
        return supplierDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return supplierDao.queryTotal(map);
    }

    @Override
    public int save(SupplierEntity supplier) {
        return supplierDao.save(supplier);
    }

    @Override
    public int update(SupplierEntity supplier) {
        return supplierDao.update(supplier);
    }

    @Override
    public int delete(Integer id) {
        return supplierDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return supplierDao.deleteBatch(ids);
    }
}
